<template>
    <select name="subject" class="form-control" id="subject">
        <option value="" :selected="selectedSubject == null">- Pilih Mata Pelajaran -</option>
        <option :value="subject.id" :key="subject.id" v-for="subject in theSubjects" :selected="selectedSubject == subject.id">{{ subject.name }}</option>
    </select>
</template>

<script>
export default {
    props: ['defaultSubjects','subjects','selectedSubject'],
    data() {
        return {
            theSubjects: this.defaultSubjects ? this.defaultSubjects : this.subjects
        }
    },
    watch: {
        subjects(val) {
            this.theSubjects = val;
        }
    }
}
</script>
